package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.UtenteAppAsserts.*;
import static it.sw.pa.comune.artegna.domain.UtenteAppTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class UtenteAppMapperTest {

    private UtenteAppMapper utenteAppMapper;

    @BeforeEach
    void setUp() {
        utenteAppMapper = new UtenteAppMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getUtenteAppSample1();
        var actual = utenteAppMapper.toEntity(utenteAppMapper.toDto(expected));
        assertUtenteAppAllPropertiesEquals(expected, actual);
    }
}
